<template>
  <header class="header">
    <div class="header__container __container">
      <router-link :to="{ name: 'FromCreate' }" class="header__logo">
        <img src="@/assets/img/logo/logo.svg" alt="" />
      </router-link>
      <nav class="header__menu menu">
        <ul class="menu__list">
          <li class="menu__item"><router-link :to="{ name: 'FromCreate' }" class="menu__link">Форма</router-link></li>
          <li class="menu__item"><router-link :to="{ name: 'FormPreview' }" class="menu__link">Превью</router-link></li>
        </ul>
      </nav>
    </div>
  </header>
</template>

<script>
  export default {
    name: 'TheHeader'
  }
</script>

<style lang="scss">
  .header {
    box-shadow: 0px 1px 0px rgba(17, 17, 17, 0.1);
    &__container {
      position: relative;
    }

    &__logo {
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
    }

    &__menu {
      padding: 28px 0 24px 0;
    }
  }
  .menu {
    &__list {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 24px;
    }

    &__item {
    }

    &__link {
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 24px;
      display: flex;
      align-items: flex-end;
      color: rgba(17, 17, 17, 0.48);
    }
  }
</style>
